Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.submit.transports.http
Class HttpClientRequestTransport

    java.lang.Object
      com.eviware.soapui.impl.wsdl.submit.transports.http.HttpClientRequestTransport

All Implemented Interfaces:
  RequestTransport, BaseHttpRequestTransport

    public class HttpClientRequestTransport

extends java.lang.Object
implements BaseHttpRequestTransport

HTTP transport that uses HttpClient to send/receive SOAP messages

Author:
  Ole.Matzura

Field Summary

Fields inherited from interface com.eviware.soapui.impl.wsdl.submit.transports.http.BaseHttpRequestTransport
`HOST_CONFIGURATION, HTTP_CLIENT, POST_METHOD, REQUEST_CONTENT`

Fields inherited from interface com.eviware.soapui.impl.wsdl.submit.RequestTransport
`REQUEST_TRANSPORT, WSDL_REQUEST`

Constructor Summary
`HttpClientRequestTransport()`

Method Summary
`void` | `abortRequest(SubmitContext submitContext)`
`void` | `addRequestFilter(RequestFilter filter)`
`void` | `removeRequestFilter(RequestFilter filter)`
`Response` | `sendRequest(SubmitContext submitContext, WsdlRequest wsdlRequest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpClientRequestTransport

    public HttpClientRequestTransport()

Method Detail

### addRequestFilter

    public void addRequestFilter(RequestFilter filter)

  Specified by:
    `addRequestFilter` in interface `RequestTransport`

### removeRequestFilter

    public void removeRequestFilter(RequestFilter filter)

  Specified by:
    `removeRequestFilter` in interface `RequestTransport`

### abortRequest

    public void abortRequest(SubmitContext submitContext)

  Specified by:
    `abortRequest` in interface `RequestTransport`

### sendRequest

    public Response sendRequest(SubmitContext submitContext,
                                WsdlRequest wsdlRequest)
                         throws java.lang.Exception

  Specified by:
    `sendRequest` in interface `RequestTransport`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.